List Transactions
This endpoint enables you to fetch a list of Settlement Transactions that you have created (own the source_profile_id) or have been alleged against you (own the target_profile_id).
You can use query parameters to filter the results returned by statuses, source_profile_id and target_profile_id.
Note that this endpoint supports pagination and returns a cursor token for fetching next pages.
Documentation Index
Fetch the complete documentation index at: https://paxos-0ac97319-smp-paxos-patch-1.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Query Parameters
Transaction statuses to filter on
- PENDING: Initial state of a settlement transaction upon creation.
- SETTLED: Indicates all obligations belong to the settlement transaction have been enacted.
- EXPIRED: Indicates the settlement transaction is no longer eligible for settlement.
- CANCELLED: Indicates the settlement transaction was cancelled by the source profile.
- AFFIRMED: Indicates the settlement transaction will be eligible for settlement once within the window.
PENDING, SETTLED, EXPIRED, CANCELLED, AFFIRMED The profile_id of the entity on the submitting side of the transaction.
The profile_id of the entity on the receiving side of the transaction.
Number of results to return. Defaults to 100 if no limit is provided.
Cursor for getting the next page of results.